Rename, recolor, or rescope a notification belonging to the current organization.
Rename, recolor, or rescope a notification belonging to the current organization — Competitor Tracker & Co. API reference for PATCH /v1/dispatches/{id}.
Required role: admin or higher (organization-level).
Required scope: dispatches:write (for both OAuth2 tokens and API keys).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.competitortracker.io/v1/dispatches/01J0000000000000000000A001" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"isDefault": true,
"includeAllMembers": true,
"theme": "dark",
"language": "en",
"createdAt": "string",
"updatedAt": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Create a notification for the current organization. POST
Create a notification for the current organization — Competitor Tracker & Co. API reference for POST /v1/dispatches: request parameters, request body, response.
Delete a non-default notification belonging to the current organization. DELETE
Delete a non-default notification belonging to the current organization — Competitor Tracker & Co. API reference for DELETE /v1/dispatches/{id}: request.